# Uses of Class
javax.help.event.HelpModelEvent

Packages that use HelpModelEvent
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.event
Supports event changes in JavaHelp classes.
javax.help.plaf.basic

## Uses of HelpModelEvent in javax.help

Methods in javax.help with parameters of type HelpModelEvent
Modifier and Type
Method
Description
`void`
DefaultHelpHistoryModel.`idChanged(HelpModelEvent e)`
Tells the listener that the current ID in the HelpModel has changed.

## Uses of HelpModelEvent in javax.help.event

Methods in javax.help.event with parameters of type HelpModelEvent
Modifier and Type
Method
Description
`void`
HelpModelListener.`idChanged(HelpModelEvent e)`
Tells the listener that the current ID in the HelpModel has changed.

## Uses of HelpModelEvent in javax.help.plaf.basic

Methods in javax.help.plaf.basic with parameters of type HelpModelEvent
Modifier and Type
Method
Description
`void`
BasicContentViewerUI.`idChanged(HelpModelEvent e)`
`void`
BasicFavoritesNavigatorUI.`idChanged(HelpModelEvent e)`
Processes and idChanged event.
`void`
BasicGlossaryNavigatorUI.`idChanged(HelpModelEvent e)`
`void`
BasicIndexNavigatorUI.`idChanged(HelpModelEvent e)`
`void`
BasicSearchNavigatorUI.`idChanged(HelpModelEvent e)`
Processes an idChanged event.
`void`
BasicTOCNavigatorUI.`idChanged(HelpModelEvent e)`
Processes an idChanged event.